- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QGraphicsSceneMouseEvent Class Reference

Search for all occurrences

## Detailed Description

Definition at line 85 of file qgraphicssceneevent.h.

`#include <qgraphicssceneevent.h>`

Inheritance diagram for QGraphicsSceneMouseEvent:
[legend]

List of all members.

## Public Member Functions
| QGraphicsSceneMouseEvent (Type type=None)
| ~QGraphicsSceneMouseEvent ()
QPointF | pos () const
void | setPos (const QPointF &pos)
QPointF | scenePos () const
void | setScenePos (const QPointF &pos)
QPoint | screenPos () const
void | setScreenPos (const QPoint &pos)
QPointF | buttonDownPos (Qt::MouseButton button) const
void | setButtonDownPos (Qt::MouseButton button, const QPointF &pos)
QPointF | buttonDownScenePos (Qt::MouseButton button) const
void | setButtonDownScenePos (Qt::MouseButton button, const QPointF &pos)
QPoint | buttonDownScreenPos (Qt::MouseButton button) const
void | setButtonDownScreenPos (Qt::MouseButton button, const QPoint &pos)
QPointF | lastPos () const
void | setLastPos (const QPointF &pos)
QPointF | lastScenePos () const
void | setLastScenePos (const QPointF &pos)
QPoint | lastScreenPos () const
void | setLastScreenPos (const QPoint &pos)
Qt::MouseButtons | buttons () const
void | setButtons (Qt::MouseButtons buttons)
Qt::MouseButton | button () const
void | setButton (Qt::MouseButton button)
Qt::KeyboardModifiers | modifiers () const
void | setModifiers (Qt::KeyboardModifiers modifiers)

## Constructor & Destructor Documentation

QGraphicsSceneMouseEvent | ( | Type | type = `None` | ) |

~QGraphicsSceneMouseEvent | ( |  | ) |

## Member Function Documentation

QPointF pos | ( |  | ) | const

Search for all occurrences

void setPos | ( | const QPointF & | pos | ) |

Search for all occurrences

QPointF scenePos | ( |  | ) | const

Search for all occurrences

void setScenePos | ( | const QPointF & | pos | ) |

Search for all occurrences

QPoint screenPos | ( |  | ) | const

Search for all occurrences

void setScreenPos | ( | const QPoint & | pos | ) |

Search for all occurrences

QPointF buttonDownPos | ( | Qt::MouseButton | button | ) | const

Search for all occurrences

void setButtonDownPos | ( | Qt::MouseButton | button,
|  | const QPointF & | pos
| ) |  |

Search for all occurrences

QPointF buttonDownScenePos | ( | Qt::MouseButton | button | ) | const

Search for all occurrences

void setButtonDownScenePos | ( | Qt::MouseButton | button,
|  | const QPointF & | pos
| ) |  |

Search for all occurrences

QPoint buttonDownScreenPos | ( | Qt::MouseButton | button | ) | const

Search for all occurrences

void setButtonDownScreenPos | ( | Qt::MouseButton | button,
|  | const QPoint & | pos
| ) |  |

Search for all occurrences

QPointF lastPos | ( |  | ) | const

Search for all occurrences

void setLastPos | ( | const QPointF & | pos | ) |

Search for all occurrences

QPointF lastScenePos | ( |  | ) | const

Search for all occurrences

void setLastScenePos | ( | const QPointF & | pos | ) |

Search for all occurrences

QPoint lastScreenPos | ( |  | ) | const

Search for all occurrences

void setLastScreenPos | ( | const QPoint & | pos | ) |

Search for all occurrences

Qt::MouseButtons buttons | ( |  | ) | const

Search for all occurrences

void setButtons | ( | Qt::MouseButtons | buttons | ) |

Search for all occurrences

Qt::MouseButton button | ( |  | ) | const

Search for all occurrences

void setButton | ( | Qt::MouseButton | button | ) |

Search for all occurrences

Qt::KeyboardModifiers modifiers | ( |  | ) | const

Search for all occurrences

void setModifiers | ( | Qt::KeyboardModifiers | modifiers | ) |

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qgraphicssceneevent.h

QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent
QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent QGraphicsSceneMouseEvent